org.apache.lucene.search.uhighlight

## Interface LabelledCharArrayMatcher

All Superinterfaces:
  CharArrayMatcher

    public interface LabelledCharArrayMatcher
    extends CharArrayMatcher

Associates a label with a CharArrayMatcher to distinguish different sources for terms in highlighting

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`String` `getLabel()`
`static LabelledCharArrayMatcher` `wrap(String label, ByteRunAutomaton runAutomaton)` Returns a representation of the automaton that matches char[] instead of byte[]
`static LabelledCharArrayMatcher` `wrap(String label, CharArrayMatcher in)` Associates a label with a CharArrayMatcher

### Methods inherited from interface org.apache.lucene.search.uhighlight.CharArrayMatcher

`fromTerms, match, match`

### Method Detail

#### getLabel

    String getLabel()

Returns:
  the label for this matcher

#### wrap

    static LabelledCharArrayMatcher wrap(String label,
                                         CharArrayMatcher in)

Associates a label with a CharArrayMatcher

#### wrap

    static LabelledCharArrayMatcher wrap(String label,
                                         ByteRunAutomaton runAutomaton)

Returns a representation of the automaton that matches char[] instead of byte[]